Package org.opensaml.saml.saml2.wssecurity.messaging.impl

# Class SAML20AssertionTokenValidationInput

java.lang.Object
org.opensaml.saml.saml2.wssecurity.messaging.impl.SAML20AssertionTokenValidationInput

public class SAML20AssertionTokenValidationInput extends Object
Class which holds messaging data relevant to validating a WS-Security SAML 2.0 Assertion token.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Assertion`
`assertion`
The Assertion being evaluated.
`private HttpServletRequest`
`httpServletRequest`
The HTTP request input.
`private MessageContext`
`messageContext`
The message context input.

## Constructor Summary

Constructors
Constructor
Description
`SAML20AssertionTokenValidationInput(MessageContext context, HttpServletRequest request, Assertion samlAssertion)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Assertion`
`getAssertion()`
Get the `Assertion` being evaluated.
`HttpServletRequest`
`getHttpServletRequest()`
Get the `HttpServletRequest` input.
`MessageContext`
`getMessageContext()`
Get the `MessageContext` input.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### messageContext

@Nonnull private MessageContext messageContext
The message context input.

### httpServletRequest

@Nonnull private HttpServletRequest httpServletRequest
The HTTP request input.

### assertion

@Nonnull private Assertion assertion
The Assertion being evaluated.

## Constructor Details

### SAML20AssertionTokenValidationInput

public SAML20AssertionTokenValidationInput(@Nonnull MessageContext context, @Nonnull HttpServletRequest request, @Nonnull Assertion samlAssertion)
Constructor.

Parameters:
  `context` - the message context being evaluated
  `request` - the HTTP request being evaluated
  `samlAssertion` - the assertion being evaluated

## Method Details

### getMessageContext

@Nonnull public MessageContext getMessageContext()
Get the `MessageContext` input.

Returns:
  the message context input

### getHttpServletRequest

@Nonnull public HttpServletRequest getHttpServletRequest()
Get the `HttpServletRequest` input.

Returns:
  the HTTP servlet request input

### getAssertion

@Nonnull public Assertion getAssertion()
Get the `Assertion` being evaluated.

Returns:
  the Assertion being validated